=== debian/changelog ===
cpu-x (4.5.1-1) unstable; urgency=medium

  * New upstream release.

 -- Mike Gabriel <sunweaver@debian.org>  Wed, 26 Oct 2022 21:55:18 +0200

cpu-x (4.5.0-1) unstable; urgency=medium

  * New upstream release.
    - (This rebuilds the package against current libcpi). (Closes: #1020740).
  * debian/control:
    + Update Martin's mail address in Maintainer: field. (Closes: #1014137).
    + Bump versioned B-D on libcpuid to (>= 0.6.0).
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.
  * debian/patches:
    + Add 1001_typo-fix.patch
    + Mark 200*_*.patch files as Debian-specific.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 21 Oct 2022 10:01:16 +0200
