## cpu-x 4.5.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 	cmake_policy(SET CMP0075 NEW)
 endif()
 project(cpu-x
-	VERSION "4.5.1"
+	VERSION "4.5.2"
 	LANGUAGES C
 )
