=== src/CMakeLists.txt ===
--- 
+++ 
@@ -97,7 +97,7 @@
 set(LIBSYSTEM 0)
 set(LIBPROC2 -1)
 if(WITH_LIBPROCPS AND ${CMAKE_SYSTEM_NAME} MATCHES "Linux" AND NOT FORCE_LIBSTATGRAB)
-	pkg_check_modules(LIBPROC2 libproc-2)
+	pkg_check_modules(LIBPROC2 libproc2)
 	if(LIBPROC2_FOUND)
 		include_directories(${LIBPROC2_INCLUDE_DIRS})
 		link_directories(${LIBPROC2_LIBRARY_DIRS})
@@ -223,7 +223,12 @@
 
 if(APPIMAGE)
 	set(DAEMON_FLAGS "-static")
-	set(LIBCPUID_LIBRARIES "-l:libcpuid.a")
+	if(LIBCPUID_FOUND)
+		set(LIBCPUID_LIBRARIES "-l:libcpuid.a")
+	endif(LIBCPUID_FOUND)
+	if(VULKAN_FOUND)
+		add_definitions(-DVK_INSTANCE_CREATE_ENUMERATE_PORTABILITY_BIT_KHR=1)
+	endif(VULKAN_FOUND)
 endif(APPIMAGE)
 
 # Link libraries
