=== debian/changelog ===
cpu-x (4.5.2-2) unstable; urgency=medium

  * debian/control:
    + In B-D, switch from libprocps-dev to libproc2-dev.
    + Add B-D: libvulkan-dev. This enables 'Vulkan' support in cpu-x.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 03 Feb 2023 08:43:22 +0100

cpu-x (4.5.2-1) unstable; urgency=medium

  [ Mike Gabriel ]
  * New upstream release.
  * debian/control:
    + Bump versioned B-D on libcpuid-dev to (>= 0.6.2).
    + Bump Standards-Version: to 4.6.2. No changes needed.
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Update copyright attributions.

  [ Debian Janitor ]
  * Set upstream metadata fields: Repository, Repository-Browse.
  * Remove obsolete field Name from debian/upstream/metadata (already present in
    machine-readable debian/copyright).

 -- Mike Gabriel <sunweaver@debian.org>  Sun, 29 Jan 2023 14:02:07 +0100
