=== debian/control ===
--- 
+++ 
@@ -8,19 +8,20 @@
                cmake (>= 3),
                gawk,
                gettext,
-               libcpuid-dev (>= 0.6.0) [amd64 i386],
+               libcpuid-dev (>= 0.6.2) [amd64 i386],
                libgtk-3-dev (>= 3.12),
                libcurl4-gnutls-dev,
                libglfw3-dev,
                libjson-c-dev,
                libncurses-dev,
                libpci-dev,
-               libprocps-dev,
+               libproc2-dev,
                libstatgrab-dev,
+               libvulkan-dev,
                nasm,
                pkg-config,
                procps,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/X0rg/CPU-X
 Vcs-Git: https://salsa.debian.org/debian/cpu-x.git
 Vcs-Browser: https://salsa.debian.org/debian/cpu-x
