## cpu-x 4.5.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 	cmake_policy(SET CMP0075 NEW)
 endif()
 project(cpu-x
-	VERSION "4.5.2"
+	VERSION "4.5.3"
 	LANGUAGES C
 )
 
@@ -49,7 +49,7 @@
 option(WITH_LIBPCI        "Use Libpci library"                                                ON)
 option(WITH_LIBGLFW       "Use Libglfw library"                                               ON)
 option(WITH_VULKAN        "Use Vulkan library"                                                ON)
-option(WITH_OPENCL        "Use OpenCL library"                                                ON)
+option(WITH_OPENCL        "Use OpenCL library"                                                OFF) # Disabled due to issues (#238, #258, #264)
 option(WITH_LIBPROCPS     "Use Libprocps library"                                             ON)
 option(WITH_LIBSTATGRAB   "Use Libstatgrab library"                                           ON)
 option(WITH_DMIDECODE     "Built-in Dmidecode"                                                ON)
