=== debian/changelog ===
cpu-x (4.5.3-1) unstable; urgency=medium

  * New upstream release.
  * debian/patches:
    + Drop 1001_typo-fix.patch. Applied upstream.

 -- Mike Gabriel <sunweaver@debian.org>  Tue, 20 Jun 2023 13:24:53 +0200
