## cpu-x 5.0.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,17 +1,18 @@
-cmake_minimum_required(VERSION 3.0)
+cmake_minimum_required(VERSION 3.12)
 cmake_policy(SET CMP0048 NEW)
 if(POLICY CMP0075)
 	cmake_policy(SET CMP0075 NEW)
 endif()
 project(cpu-x
-	VERSION "4.5.3"
-	LANGUAGES C
+	VERSION "5.0.3"
+	LANGUAGES C CXX
 )
 
 
 ### DEFAULT CONFIG
 
 # Global variables
+set(CMAKE_CXX_STANDARD 17)
 set(CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")
 include(GNUInstallDirs)
 if(NOT EXISTS ${CMAKE_INSTALL_FULL_LIBEXECDIR})
@@ -25,13 +26,21 @@
 set(APP_EXEC                       ${CMAKE_PROJECT_NAME})
 set(DAEMON_EXEC                    ${CMAKE_PROJECT_NAME}-daemon)
 set(DAEMON_PATH                    ${CMAKE_INSTALL_FULL_LIBEXECDIR}/${DAEMON_EXEC})
+if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
+	set(DAEMON_SOCKET              "/run/cpu-x.sock")
+else()
+	set(DAEMON_SOCKET              "/var/run/cpu-x.sock")
+endif(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
 if(CMAKE_SIZEOF_VOID_P EQUAL 4)
 	set(BITNESS "32")
 else(CMAKE_SIZEOF_VOID_P EQUAL 4)
 	set(BITNESS "64")
 endif(CMAKE_SIZEOF_VOID_P EQUAL 4)
+set(CMAKE_COLOR_DIAGNOSTICS ON)
 set(CMAKE_C_FLAGS             "${CMAKE_C_FLAGS} -Wno-deprecated-declarations -Wno-unused-result")
-set(CMAKE_C_FLAGS_DEBUG       "${CMAKE_C_FLAGS_DEBUG} -Wall -Wextra -Wuninitialized -Wstrict-prototypes -Wformat -Wformat-security")
+set(CMAKE_CXX_FLAGS           "${CMAKE_CXX_FLAGS} -Wpedantic -Wno-deprecated-declarations -Wno-unused-result")
+set(CMAKE_C_FLAGS_DEBUG       "${CMAKE_C_FLAGS_DEBUG} -Wall -Wextra -Wuninitialized -Wformat -Wformat-security -Wstrict-prototypes")
+set(CMAKE_CXX_FLAGS_DEBUG     "${CMAKE_CXX_FLAGS_DEBUG} -Wall -Wextra -Wuninitialized -Wformat -Wformat-security")
 set(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -Wl,-z,noexecstack -Wl,-z,relro -Wl,-z,now")
 set(CMAKE_EXE_LINKER_FLAGS    "${CMAKE_EXE_LINKER_FLAGS} -Wl,-z,noexecstack -Wl,-z,relro -Wl,-z,now")
 
@@ -55,7 +64,7 @@
 option(WITH_DMIDECODE     "Built-in Dmidecode"                                                ON)
 option(WITH_BANDWIDTH     "Built-in Bandwidth"                                                ON)
 option(FORCE_LIBSTATGRAB  "Force use of Libstatgrab instead of Libprocps (GNU/Linux system)"  OFF)
-option(APPIMAGE           "Enable workarounds for AppImage"                                   OFF)
+option(FLATPAK            "Enable workarounds for Flatpak"                                    OFF)
 
 # Colours
 string(ASCII 27 Esc)
@@ -122,6 +131,7 @@
 find_package(PkgConfig REQUIRED)
 find_package(Threads REQUIRED)
 find_package(Backtrace REQUIRED)
+find_package(Filesystem REQUIRED)
 if(WITH_GETTEXT)
 	find_package(Gettext)
 	if(${CMAKE_VERSION} VERSION_GREATER "3.1")
