=== po/CMakeLists.txt ===
--- 
+++ 
@@ -17,7 +17,7 @@
 	include(gettext_create_translations)
 	add_custom_target(genpot
 		COMMAND xgettext
-			--language=C
+			--language=C++
 			--keyword=_ --keyword=N_ --indent
 			--add-comments=TRANSLATORS:
 			--package-name=${CMAKE_PROJECT_NAME}
@@ -29,7 +29,7 @@
 			--output=source_c.pot
 			--directory="../src"
 			--from-code="utf-8"
-			"*.c" "cpu-x.h"
+			"*.cpp" "data.hpp" "util.hpp"
 		COMMAND xgettext
 			--language=Glade
 			--keyword=translatable --indent
@@ -46,7 +46,7 @@
 			"cpu-x-gtk-3.12.ui"
 		COMMAND	msgcat --indent --directory=${CMAKE_CURRENT_BINARY_DIR} source_c.pot source_ui.pot --output-file="${CMAKE_CURRENT_SOURCE_DIR}/${pot_file}"
 		COMMAND sed --in-place "s/SOME DESCRIPTIVE TITLE./CPU-X translations template/" "${CMAKE_CURRENT_SOURCE_DIR}/${pot_file}"
-		COMMAND sed --in-place "s/\\(C\\) YEAR/© 2014-2022/"  "${CMAKE_CURRENT_SOURCE_DIR}/${pot_file}"
+		COMMAND sed --in-place "s/\\(C\\) YEAR/© 2014-2024/"  "${CMAKE_CURRENT_SOURCE_DIR}/${pot_file}"
 		WORKING_DIRECTORY ${CMAKE_SOURCE_DIR}/src
 	)
 	GETTEXT_CONVERT_TRANSLATIONS(${pot_file} ALL ${po_files})
