=== src/CMakeLists.txt ===
--- 
+++ 
@@ -3,15 +3,14 @@
 # GTK3+
 if(WITH_GTK)
 	set(MINIMUM_GTK_VERSION 3.12.0)
-	pkg_check_modules(GTK3 gtk+-3.0>=${MINIMUM_GTK_VERSION})
+	pkg_check_modules(GTK3 gtkmm-3.0>=${MINIMUM_GTK_VERSION})
 	if(GTK3_FOUND)
 		include_directories(${GTK3_INCLUDE_DIRS})
 		link_directories(${GTK3_LIBRARY_DIRS})
 		add_definitions(${GTK3_CFLAGS_OTHER})
 		add_library(gui_gtk STATIC
-			gui_gtk.c
-			gui_gtk.h
-			gui_gtk_id.h
+			gui_gtk.cpp
+			gui_gtk.hpp
 			${GRESOURCES}
 		)
 		set(GTK3_LIBRARIES "gui_gtk" ${GTK3_LIBRARIES})
@@ -23,13 +22,19 @@
 
 # NCurses
 if(WITH_NCURSES)
-	pkg_check_modules(NCURSES ncursesw)
+	# Assume ncurses from the base on FreeBSD
+	if(${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
+		set(NCURSES_FOUND 1)
+		set(NCURSES_LIBRARIES "-l:libncursesw.so")
+	else()
+		pkg_check_modules(NCURSES ncursesw)
+	endif()
 	if(NCURSES_FOUND)
 		include_directories(${NCURSES_INCLUDE_DIRS})
 		link_directories(${NCURSES_LIBRARY_DIRS})
 		add_library(tui_ncurses STATIC
-			tui_ncurses.c
-			tui_ncurses.h
+			tui_ncurses.cpp
+			tui_ncurses.hpp
 		)
 		set(NCURSES_LIBRARIES "tui_ncurses" ${NCURSES_LIBRARIES})
 	endif(NCURSES_FOUND)
@@ -37,7 +42,7 @@
 
 # Gettext
 if(Intl_FOUND)
-	include_directories(${CMAKE_BINARY_DIR}/po)
+	include_directories(${Intl_INCLUDE_DIRS})
 endif(Intl_FOUND)
 
 # Libcpuid
@@ -178,19 +183,32 @@
 
 # Executable
 add_executable(${APP_EXEC}
-	main.c
-	util.c
-	cpu-x.h
-	core.c
-	core.h
-	ipc.h
+	core.cpp
+	core.hpp
+	daemon_client.cpp
+	daemon_client.hpp
+	daemon.h
+	data.cpp
+	data.hpp
+	logger.cpp
+	logger.hpp
+	main.cpp
+	options.cpp
+	options.hpp
+	util.cpp
+	util.hpp
 )
 
 add_executable(${DAEMON_EXEC}
-	daemon.c
+	daemon_server.cpp
+	daemon_server.hpp
 	daemon.h
-	ipc.h
-	cpu-x.h
+	logger.cpp
+	logger.hpp
+	options.cpp
+	options.hpp
+	util.cpp
+	util.hpp
 )
 
 # Libsystem extra-definitions
@@ -206,6 +224,16 @@
 	add_definitions(-DHAS_LIBPROC2=0  -DLIBPROC2_VERSION=NULL)
 	add_definitions(-DHAS_LIBPROCPS=0 -DLIBPROCPS_VERSION=NULL)
 endif()
+
+# Flatpak workarounds
+if(FLATPAK)
+	add_definitions(-DFLATPAK)
+	set(DAEMON_SOCKET cpu-x.sock)
+	if(LIBCPUID_FOUND)
+		# flatpak-spawn command will not be able to find libcpuid.so when starting cpu-x-daemon
+		set(LIBCPUID_LIBRARIES "-l:libcpuid.a")
+	endif(LIBCPUID_FOUND)
+endif(FLATPAK)
 
 # Various definitions
 add_definitions(-DPRGVER="${PROJECT_VERSION}"
@@ -218,25 +246,17 @@
 	-DLOCALEDIR="${CMAKE_INSTALL_FULL_LOCALEDIR}"
 	-DTERMINFODIR="/lib/terminfo"
 	-DDAEMON_EXEC="${DAEMON_EXEC}"
+	-DDAEMON_TMP_EXEC="/tmp/${DAEMON_EXEC}"
 	-DDAEMON_PATH="${DAEMON_PATH}"
-)
-
-if(APPIMAGE)
-	set(DAEMON_FLAGS "-static")
-	if(LIBCPUID_FOUND)
-		set(LIBCPUID_LIBRARIES "-l:libcpuid.a")
-	endif(LIBCPUID_FOUND)
-	if(VULKAN_FOUND)
-		add_definitions(-DVK_INSTANCE_CREATE_ENUMERATE_PORTABILITY_BIT_KHR=1)
-	endif(VULKAN_FOUND)
-endif(APPIMAGE)
+	-DSOCKET_NAME="${DAEMON_SOCKET}"
+)
 
 # Link libraries
 target_link_libraries(${APP_EXEC}
-	m
 	${Intl_LIBRARIES}
 	${CMAKE_THREAD_LIBS_INIT}
 	${Backtrace_LIBRARIES}
+	std::filesystem
 
 	${GTK3_LIBRARIES}
 	${NCURSES_LIBRARIES}
@@ -258,6 +278,7 @@
 	${DAEMON_FLAGS}
 	${Intl_LIBRARIES}
 	${CMAKE_THREAD_LIBS_INIT}
+	std::filesystem
 
 	${LIBCPUID_LIBRARIES}
 	${DMIDECODE_LIBRARIES}
