=== debian/changelog ===
cpu-x (5.0.3-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:41:44 +1100

cpu-x (5.0.3-2build1) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 08 Mar 2024 04:08:42 +0000

cpu-x (5.0.3-2) unstable; urgency=medium

  * debian/control:
    + Use libgtkmm-3.0-dev instead of libgtk-3-dev in B-D. This brings back the
      GTK-Gui that got lost in by previous upload.

 -- Mike Gabriel <sunweaver@debian.org>  Mon, 12 Feb 2024 17:37:48 +0100

cpu-x (5.0.3-1) unstable; urgency=medium

  * New upstream release
  * debian/patches:
    + Trivially rebase 2001_build-with-PIE.patch.
  * debian/control:
    + Enforce using latest libcpuid (i.e. >= 0.6.4).
  * debian/man/cpu-x_polkit.1:
    + Drop symlink to actual man page. Not used anymore.
  * debian/man/cpu-x.1:
    + Rework man page. (Closes: #1034355, #1034357).
  * debian/copyright:
    + Update auto-generated copyright.in file.
    + Rework entire file and update copyright attributions.

 -- Mike Gabriel <sunweaver@debian.org>  Fri, 09 Feb 2024 10:23:04 +0100
