=== debian/control ===
--- 
+++ 
@@ -1,15 +1,16 @@
 Source: cpu-x
 Section: x11
 Priority: optional
-Maintainer: Martin Wimpress <code@wimpress.io>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Martin Wimpress <code@wimpress.io>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                cmake (>= 3),
                gawk,
                gettext,
-               libcpuid-dev (>= 0.6.2) [amd64 i386],
-               libgtk-3-dev (>= 3.12),
+               libcpuid-dev (>= 0.6.4) [amd64 i386],
+               libgtkmm-3.0-dev (>= 3.12),
                libcurl4-gnutls-dev,
                libglfw3-dev,
                libjson-c-dev,
