=== debian/watch ===
version=4
opts=filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/cpu-x-$1.tar.gz/ \
https://github.com/X0rg/CPU-X/tags .*/archive/refs/tags/v?([\d\.]+).tar.gz
