## cpu-x 5.0.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 	cmake_policy(SET CMP0075 NEW)
 endif()
 project(cpu-x
-	VERSION "5.0.3"
+	VERSION "5.0.4"
 	LANGUAGES C CXX
 )
 
@@ -140,6 +140,7 @@
 endif(WITH_GETTEXT)
 include(CheckSymbolExists)
 include(CheckStructHasMember)
+include(CheckCSourceCompiles)
 include(CheckIncludeFile)
 add_subdirectory(data)
 add_subdirectory(po)
