=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: cpu-x
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Martin Wimpress <code@wimpress.io>
+Maintainer: Martin Wimpress <code@wimpress.io>
 Uploaders:
  Mike Gabriel <sunweaver@debian.org>,
 Build-Depends: debhelper-compat (= 13),
@@ -22,7 +21,7 @@
                nasm,
                pkg-config,
                procps,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/X0rg/CPU-X
 Vcs-Git: https://salsa.debian.org/debian/cpu-x.git
 Vcs-Browser: https://salsa.debian.org/debian/cpu-x
