=== data/CMakeLists.txt ===
--- 
+++ 
@@ -37,9 +37,13 @@
 	)
 
 	# Install policy rule
+	pkg_get_variable(POLKIT_ACTION_DIR polkit-gobject-1 actiondir)
+	if(${POLKIT_ACTION_DIR} STREQUAL "")
+		set(POLKIT_ACTION_DIR "${CMAKE_INSTALL_FULL_DATADIR}/polkit-1/actions/")
+	endif(${POLKIT_ACTION_DIR} STREQUAL "")
 	install(FILES
 		${CMAKE_DATA_OUTPUT_DIRECTORY}/io.github.thetumultuousunicornofdarkness.cpu-x-daemon.policy
-		DESTINATION ${CMAKE_INSTALL_FULL_DATADIR}/polkit-1/actions/
+		DESTINATION ${POLKIT_ACTION_DIR}
 	)
 
 	# Install schema file
