=== src/CMakeLists.txt ===
--- 
+++ 
@@ -22,12 +22,11 @@
 
 # NCurses
 if(WITH_NCURSES)
+	pkg_check_modules(NCURSES ncursesw)
 	# Assume ncurses from the base on FreeBSD
-	if(${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
+	if(NOT NCURSES_FOUND AND ${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
 		set(NCURSES_FOUND 1)
 		set(NCURSES_LIBRARIES "-l:libncursesw.so")
-	else()
-		pkg_check_modules(NCURSES ncursesw)
 	endif()
 	if(NCURSES_FOUND)
 		include_directories(${NCURSES_INCLUDE_DIRS})
@@ -47,28 +46,12 @@
 
 # Libcpuid
 if(WITH_LIBCPUID)
-	pkg_check_modules(LIBCPUID libcpuid>=0.6.0)
+	pkg_check_modules(LIBCPUID libcpuid>=0.7.0)
 	if(LIBCPUID_FOUND)
 		include_directories(${LIBCPUID_INCLUDE_DIRS})
 		link_directories(${LIBCPUID_LIBRARY_DIRS})
 		add_definitions(${LIBCPUID_CFLAGS_OTHER})
 		set(CMAKE_REQUIRED_LIBRARIES ${LIBCPUID_LIBRARIES})
-		check_c_source_compiles(
-			"
-			#include <stdio.h>
-			#include <libcpuid/libcpuid.h>
-
-			int main()
-			{
-				printf(\"%i\", PURPOSE_LP_EFFICIENCY);
-				return 0;
-			}
-			"
-			HAS_LIBCPUID_PURPOSE_LP_EFFICIENCY
-		)
-		if(HAS_LIBCPUID_PURPOSE_LP_EFFICIENCY)
-			add_definitions(-DHAS_LIBCPUID_PURPOSE_LP_EFFICIENCY)
-		endif(HAS_LIBCPUID_PURPOSE_LP_EFFICIENCY)
 	endif(LIBCPUID_FOUND)
 endif(WITH_LIBCPUID)
 
@@ -156,18 +139,18 @@
 endif(WITH_DMIDECODE)
 
 # Bandwidth
-if(WITH_BANDWIDTH)
+if(CMAKE_SYSTEM_PROCESSOR MATCHES "(x86)|(X86)|(amd64)|(AMD64)" AND WITH_BANDWIDTH)
 	add_subdirectory(bandwidth)
 	if(BANDWIDTH_FOUND)
 		include_directories(bandwidth)
 		set(BANDWIDTH_LIBRARIES "bandwidth")
 	endif(BANDWIDTH_FOUND)
-endif(WITH_BANDWIDTH)
+endif(CMAKE_SYSTEM_PROCESSOR MATCHES "(x86)|(X86)|(amd64)|(AMD64)" AND WITH_BANDWIDTH)
 
 
 ### FINAL CONFIG
 
-message("${BoldCyan}** ${CMAKE_PROJECT_NAME} ${PROJECT_VERSION} configuration **${ColourReset}")
+message("${BoldCyan}** ${CMAKE_PROJECT_NAME} ${PROJECT_VERSION} configuration (${CMAKE_SYSTEM_PROCESSOR}) **${ColourReset}")
 
 # UI libraries
 print_config("GTK"                 "${GTK3_VERSION}"        GTK3_FOUND        WITH_GTK)
@@ -214,11 +197,16 @@
 	util.cpp
 	util.hpp
 )
+if(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
+	set(OTHER_LIBRARIES "-latomic")
+endif(${CMAKE_SYSTEM_NAME} MATCHES "Linux")
 
 add_executable(${DAEMON_EXEC}
 	daemon_server.cpp
 	daemon_server.hpp
 	daemon.h
+	data.cpp
+	data.hpp
 	logger.cpp
 	logger.hpp
 	options.cpp
@@ -260,12 +248,14 @@
 	-DHAS_LIBSYSTEM=${LIBSYSTEM}
 	-DGETTEXT_PACKAGE="${CMAKE_PROJECT_NAME}"
 	-DLOCALEDIR="${CMAKE_INSTALL_FULL_LOCALEDIR}"
+	-DCPUX_DATA_DIRECTORY="${CPU_X_DATA_DIRECTORY}"
 	-DTERMINFODIR="/lib/terminfo"
 	-DDAEMON_EXEC="${DAEMON_EXEC}"
 	-DDAEMON_TMP_EXEC="/tmp/${DAEMON_EXEC}"
 	-DDAEMON_PATH="${DAEMON_PATH}"
 	-DSOCKET_NAME="${DAEMON_SOCKET}"
 )
+
 
 # Link libraries
 target_link_libraries(${APP_EXEC}
@@ -291,7 +281,6 @@
 )
 
 target_link_libraries(${DAEMON_EXEC}
-	${DAEMON_FLAGS}
 	${Intl_LIBRARIES}
 	${CMAKE_THREAD_LIBS_INIT}
 	std::filesystem
