=== debian/changelog ===
cpu-x (5.1.1-0.1) unstable; urgency=medium

  * NMU
  * Recompile with libpci (>= 3.13) (closes: #1081187)
  * New upstream release (closes: #1089165)
  * Update: replace pkg-config with pkgconf.
  * Cherry-pick upstream patch to cmake STREQUAL issue
  * Use libcpuid (>= 0.7) per upstream changelog
  * Bike-shed-paint debian/watch uscan support file

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 10 Dec 2024 13:44:52 +0000
