=== debian/control ===
--- 
+++ 
@@ -8,18 +8,18 @@
                cmake (>= 3),
                gawk,
                gettext,
-               libcpuid-dev (>= 0.6.4) [amd64 i386],
+               libcpuid-dev (>= 0.7) [amd64 i386],
                libgtkmm-3.0-dev (>= 3.12),
                libcurl4-gnutls-dev,
                libglfw3-dev,
                libjson-c-dev,
                libncurses-dev,
-               libpci-dev,
+               libpci-dev (>= 3.13),
                libproc2-dev,
                libstatgrab-dev,
                libvulkan-dev,
                nasm,
-               pkg-config,
+               pkgconf,
                procps,
 Standards-Version: 4.7.0
 Homepage: https://github.com/X0rg/CPU-X
