## cpu-x 5.1.3

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 	cmake_policy(SET CMP0177 NEW)
 endif()
 project(cpu-x
-	VERSION "5.1.1"
+	VERSION "5.1.3"
 	LANGUAGES C CXX
 )
 
@@ -70,6 +70,7 @@
 	set(WITH_BANDWIDTH OFF)
 endif(CMAKE_SYSTEM_PROCESSOR MATCHES "(x86)|(X86)|(amd64)|(AMD64)")
 option(FORCE_LIBSTATGRAB  "Force use of Libstatgrab instead of Libprocps (GNU/Linux system)"  OFF)
+option(APPIMAGE           "Enable workarounds for AppImage"                                   OFF)
 option(FLATPAK            "Enable workarounds for Flatpak"                                    OFF)
 
 # Colours
@@ -127,9 +128,9 @@
 			ERROR_QUIET
 			OUTPUT_STRIP_TRAILING_WHITESPACE
 		)
-		if(NOT ${GIT_DESCRIBE_REVISION} STREQUAL "")
+		if(NOT GIT_DESCRIBE_REVISION STREQUAL "")
 			set(GIT_REVISION "+git-r${GIT_DESCRIBE_REVISION}")
-		endif(NOT ${GIT_DESCRIBE_REVISION} STREQUAL "")
+		endif(NOT GIT_DESCRIBE_REVISION STREQUAL "")
 	endif(GIT_FOUND)
 endif(EXISTS ${CMAKE_SOURCE_DIR}/.git)
