=== debian/changelog ===
cpu-x (5.1.3-0.1) unstable; urgency=medium

  * NMU
  * New upstream release
  * debian/control:
    + Bump Standards-Version to 4.7.2. No changes needed.
  * Forward port quilt patches

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 10 Mar 2025 14:45:22 +0000
