=== debian/control ===
--- 
+++ 
@@ -21,7 +21,7 @@
                nasm,
                pkgconf,
                procps,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/X0rg/CPU-X
 Vcs-Git: https://salsa.debian.org/debian/cpu-x.git
 Vcs-Browser: https://salsa.debian.org/debian/cpu-x
